Subject: Re: bug#26702: [PATCH 1/2] gnu: Add font-cns11643

From: Marius Bakke <[email-masked]>
Date: Tue, 02 May 2017 00:34:23 +0200

Brendan Tildesley <[email-masked]> writes:

> Marius Bakke 於 2017-05-01 01:10 寫道:
>> Hi Brendan, thanks for this!
>>
>> Brendan Tildesley <[email-masked]> writes:
>>
>>> * gnu/packages/fonts.scm (font-cns11643): New variable.
>> [...]
>>   
>>> +(define-public font-cns11643
>>> +  (package
>>> +    (name "font-cns11643")
>>> +    (version "98.1.20170405")
>>> +    (source (origin
>>> +              (method url-fetch)
>>> +              (uri "http://www.cns11643.gov.tw/AIDB/Open_Data.zip")
>>> +              (sha256
>>> +               (base32
>>> +                "1kyfrwamr8zpdp4qw3z9j3cimhsvr4xd05dmxmfphiknlbr6d455"))))
>> I'm getting a different hash when downloading this:
>>
>> @ build-failed /gnu/store/b4s6pjp7pvwn5028zxm7dn7hxb7akhxn-Open_Data.zip.drv - 1 output path `/gnu/store/kv2291fl8p8r3ic15pp68751qncrv830-Open_Data.zip' should have sha256 hash `1kyfrwamr8zpdp4qw3z9j3cimhsvr4xd05dmxmfphiknlbr6d455', instead has `02kb3bwjrra0k2hlr2p8xswd2y0xs6j8d9vm6yrby734h02a40qf'
>>
>> Maybe I'm getting a newer version? If this is updated in-place upstream
>> very frequently, it would be good to have a way to access older
>> downloads. Any ideas?
>>
>> Minor nit-picks follow, but I've corrected this in my local branch:
> I have confirmed that the new hash represents an update to the font. I
> have thought about hosting this file, but I'm not sure where I can host
> ~300MiB. Also, It means I have to bother updating that file frequently.
> On the other hand if we use upstream, a failing hash typically means
> there is an update. There is unlikely any other Guix user interested in
> these fonts at the present. So I'm not sure what to do.

Thanks for checking! Where did you take the version number and datestamp
from? Are you willing to help maintain this package?

The current situation is suboptimal, but I think it's fine if we can
ping you about any problems. What do you think?

I've committed this for now, let's see how long it holds. I may be able
to provide a fallback mirror in a not-too-distant future, but immediate
suggestions welcome.